Package: geb.download

## [Groovy] Class UninitializedDownloadSupport

- geb.download.UninitializedDownloadSupport

- All Implemented Interfaces and Traits:
    DownloadSupport

      class UninitializedDownloadSupport
      extends Object
      implements DownloadSupport

- - ### Constructor Summary

    Constructors
    Constructor and description
    `UninitializedDownloadSupport(Initializable initializable)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `HttpURLConnection` | `download(Map options)`
    `` | `HttpURLConnection` | `download(String uri)`
    `` | `byte[]` | `downloadBytes(Map options, Closure connectionConfig)`
    `` | `byte[]` | `downloadBytes(Closure connectionConfig)`
    `` | `byte[]` | `downloadBytes(String uri, Closure connectionConfig)`
    `` | `Object` | `downloadContent(Map options, Closure connectionConfig)`
    `` | `Object` | `downloadContent(String uri, Closure connectionConfig)`
    `` | `Object` | `downloadContent(Closure connectionConfig)`
    `` | `InputStream` | `downloadStream(Map options, Closure connectionConfig)`
    `` | `InputStream` | `downloadStream(String uri, Closure connectionConfig)`
    `` | `InputStream` | `downloadStream(Closure connectionConfig)`
    `` | `String` | `downloadText(Map options, Closure connectionConfig)`
    `` | `String` | `downloadText(String uri, Closure connectionConfig)`
    `` | `String` | `downloadText(Closure connectionConfig)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UninitializedDownloadSupport(Initializable initializable)

  - ### Method Detail

    - #### @Override
      HttpURLConnection download(Map options)

    - #### @Override
      HttpURLConnection download(String uri)

    - #### @Override
      byte[] downloadBytes(Map options, Closure connectionConfig)

    - #### @Override
      byte[] downloadBytes(Closure connectionConfig)

    - #### @Override
      byte[] downloadBytes(String uri, Closure connectionConfig)

    - #### @Override
      Object downloadContent(Map options, Closure connectionConfig)

    - #### @Override
      Object downloadContent(String uri, Closure connectionConfig)

    - #### @Override
      Object downloadContent(Closure connectionConfig)

    - #### @Override
      InputStream downloadStream(Map options, Closure connectionConfig)

    - #### @Override
      InputStream downloadStream(String uri, Closure connectionConfig)

    - #### @Override
      InputStream downloadStream(Closure connectionConfig)

    - #### @Override
      String downloadText(Map options, Closure connectionConfig)

    - #### @Override
      String downloadText(String uri, Closure connectionConfig)

    - #### @Override
      String downloadText(Closure connectionConfig)